%define upstream_name    XML-Descent
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Recursive descent XML parsing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::TokeParser)
BuildArch:  noarch

%description
The conventional models for parsing XML are either DOM (a data structure
representing the entire document tree is created) or SAX (callbacks are
issued for each element in the XML).

XML grammar is recursive - so it's nice to be able to write recursive
parsers for it. XML::Descent allows such parsers to be created.

Typically a new XML::Descent is created and handlers are defined for
elements we're interested in

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.40.0-11.mga10
+ Revision: 2201430
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.40.0-10.mga9
+ Revision: 1806657
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-9.mga8
+ Revision: 1498345
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.40.0-8.mga7
+ Revision: 1272747
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-7.mga6
+ Revision: 1035900
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.40.0-6.mga6
+ Revision: 940170
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-5.mga5
+ Revision: 738833
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 686910
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 516067
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 374972
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 01 2011 tv <tv> 1.40.0-1.mga1
+ Revision: 79560
- imported package perl-XML-Descent


* Fri Apr 01 2011 cpan2dist 1.04-1mga
- initial mageia release, generated with cpan2dist